> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get minting and burning transaction history for assets under a specific Cardano minting policy.

# Transactions minting or burning assets of policy



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /policy/{policy}/mints
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /policy/{policy}/mints:
    get:
      tags:
        - Asset Policy
      summary: Transactions minting or burning assets of policy
      description: >-
        Returns a list of transactions in which some of the specified asset was
        minted or burned
      operationId: policy_mints
      parameters:
        - name: policy
          in: path
          description: Hex encoded policy ID
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by point in chain)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: >-
            Return only transactions in blocks minted on or after a specific
            slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only transactions in blocks minted before a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Array of transactions with assets and amounts minted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPolicyMintTransaction'
              example:
                data:
                  - tx_hash: >-
                      257916e7ae112cf16f27218e41bfa37c018bab922354201b3b38c9a24c35ab33
                    slot: 55718892
                    timestamp: '2022-03-14 19:13:03'
                    assets:
                      - name: 6164616d616e74
                        amount: '1'
                      - name: 6264736d
                        amount: '1'
                      - name: 63617264616e6f737765657473
                        amount: '1'
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPolicyMintTransaction:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PolicyMintTransaction'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PolicyMintTransaction:
      type: object
      description: Transaction hash with details of when that transaction appeared on-chain
      required:
        - tx_hash
        - slot
        - timestamp
        - assets
      properties:
        assets:
          type: array
          items:
            $ref: '#/components/schemas/AssetInPolicyMint'
          description: >-
            Assets of specified policy which were minted or burned in the
            transaction
        slot:
          type: integer
          format: int64
          description: Absolute slot of the block which includes the transaction
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of the block which includes the transaction
        tx_hash:
          type: string
          description: Transaction hash
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    AssetInPolicyMint:
      type: object
      description: Name of asset of a specific policy and amount minted or burned
      required:
        - name
        - amount
      properties:
        amount:
          type: string
          description: Amount of asset minted (negative if burned)
        name:
          type: string
          description: Asset name
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````